4Suite™ API Documentation

# ► Module Ft.Lib.Set

Operations on ordered sets
Copyright 2005 Fourthought, Inc. (USA).
Detailed license and copyright information: http://4suite.org/COPYRIGHT
Project home, documentation, distributions: http://4suite.org/

Functions: Intersection, Not, Union, Unique

## Functions

Intersection(a, b)
Intersection(a, b) -> ordered-set
Return the intersection of the two sets as a new set (i.e., all the elements
that are in both sets).
Not(a, b)
Not(a, b) -> ordered-set
Return the difference of the two sets as a new set (i.e., all the elements
from set a that are not in set b).
Union(a, b)
Union(a, b) -> ordered-set
Return the union of the two sets as a new set (i.e., all the elements
that are in either set).
Unique(a)
Unique(a) -> ordered-set
Return a new set with any duplicates removed.